Package org.firebirdsql.jdbc.metadata

## Class GetBestRowIdentifier

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetBestRowIdentifier

    public final class GetBestRowIdentifier
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getBestRowIdentifier(String, String, String, int, boolean)`.

Since:
  5
Author:
  Mark Rotteveel

### Field Summary

Fields
`protected DbMetadataMediator` `mediator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetBestRowIdentifier` `create​(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getBestRowIdentifier​(java.lang.String catalog, java.lang.String schema, java.lang.String table, int scope, boolean nullable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediator

    protected final DbMetadataMediator mediator

### Method Detail

#### getBestRowIdentifier

    public java.sql.ResultSet getBestRowIdentifier​(java.lang.String catalog,
                                                   java.lang.String schema,
                                                   java.lang.String table,
                                                   int scope,
                                                   boolean nullable)
                                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetBestRowIdentifier create​(DbMetadataMediator mediator)